<html>
<head>
<title>OGRE: OgreParticleEmitterCommands.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreParticleEmitterCommands.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>&quot;</code><br>

<p>
<a href="OgreParticleEmitterCommands_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1EmitterCommands.html">Ogre::EmitterCommands</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html">Ogre::EmitterCommands::CmdAngle</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for <a class="el" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a> - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdAngle.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColour.html">Ogre::EmitterCommands::CmdColour</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdColour.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html">Ogre::EmitterCommands::CmdColourRangeStart</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html">Ogre::EmitterCommands::CmdColourRangeEnd</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html">Ogre::EmitterCommands::CmdDirection</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdDirection.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html">Ogre::EmitterCommands::CmdEmissionRate</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html">Ogre::EmitterCommands::CmdVelocity</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html">Ogre::EmitterCommands::CmdMinVelocity</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html">Ogre::EmitterCommands::CmdMaxVelocity</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html">Ogre::EmitterCommands::CmdTTL</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdTTL.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html">Ogre::EmitterCommands::CmdMinTTL</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html">Ogre::EmitterCommands::CmdMaxTTL</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html">Ogre::EmitterCommands::CmdPosition</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdPosition.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html">Ogre::EmitterCommands::CmdDuration</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html">Ogre::EmitterCommands::CmdMinDuration</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html">Ogre::EmitterCommands::CmdMaxDuration</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html">Ogre::EmitterCommands::CmdRepeatDelay</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html">Ogre::EmitterCommands::CmdMinRepeatDelay</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html">Ogre::EmitterCommands::CmdMaxRepeatDelay</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdName.html">Ogre::EmitterCommands::CmdName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdName.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html">Ogre::EmitterCommands::CmdEmittedEmitter</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html#_details">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
